Name:           x2goplasmabindings
Summary:        Plasma widget for control X2Go sessions
Group:          Applications/Communications
Version:        3.0.2.2
Release:        0.0x2go1%{?dist}
%if 0%{?suse_version}
Group:          Production/Network/Remote Desktop
License:        GPL-2.0+
%else
Group:          Applications/Communications
License:        GPLv2+
%endif
URL:            https://www.x2go.org
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
%if 0%{?suse_version}
BuildRequires:  kde4-filesystem
BuildRequires:  libkde4-devel
%else
BuildRequires:  kde-filesystem
BuildRequires:  kdelibs4-devel
%endif
BuildRequires:  intltool
Requires:       plasma-addons-x2go

%if 0%{?fedora} || 0%{?rhel}
# For some reason gcc doesn't depend upon redhat-rpm-config,
# but the GCC spec file is still used, which leads to gcc failing
# due to a missing annobin plugin during compilation.
# Let's build-depend upon redhat-rpm-config for now manually.
BuildRequires:  redhat-rpm-config
%endif

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
X2Go is a server-based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

This package adds a plasma widget (KDE4) for controlling your
X2Go session.

%package -n plasma-addons-x2go
Summary:        Plasma widget for control X2Go sessions
Group:          Applications/Communications
Requires:       hicolor-icon-theme
Requires:       x2goserver >= 3.1.1.2
Conflicts:      plasma-widget-x2go

%description -n plasma-addons-x2go
X2Go is a server-based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - audio support
    - authentication by smartcard and USB stick

This package adds a plasma widget (KDE4) for controlling your
X2Go session.

%prep
%setup -q


%build
mkdir build
cd build
cmake .. \
%if 0%{?suse_version} && 0%{?suse_version} <= 1130
        -DCMAKE_SKIP_RPATH=ON \
%endif
        -DCMAKE_INSTALL_PREFIX="%_prefix" \
        -DKDE4_PLASMA_LIBS="%_libdir/kde4" \
        -DPLUGIN_INSTALL_DIR="%_libdir/kde4" \
        -DCMAKE_C_FLAGS:STRING="%optflags" \
        -DCMAKE_CXX_FLAGS:STRING="%optflags"
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT


%post -n plasma-addons-x2go
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n plasma-addons-x2go
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n plasma-addons-x2go
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -n plasma-addons-x2go
%defattr(-,root,root)
%doc debian/changelog
%doc debian/copyright
%dir %{_libdir}/kde4
%{_libdir}/kde4/*
%dir %{_datadir}/kde4/services
%{_datadir}/kde4/services/*
%{_datadir}/icons/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%changelog
